Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.lf5.viewer.categoryexplorer
Class CategoryImmediateEditor

    java.lang.Object
      javax.swing.tree.DefaultTreeCellEditor
          org.apache.log4j.lf5.viewer.categoryexplorer.CategoryImmediateEditor

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener, javax.swing.CellEditor, javax.swing.event.TreeSelectionListener, javax.swing.tree.TreeCellEditor

    public class CategoryImmediateEditor

extends javax.swing.tree.DefaultTreeCellEditor

CategoryImmediateEditor

Author:
  Michael J. Sikorsky, Robert Shaw

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.tree.DefaultTreeCellEditor
`javax.swing.tree.DefaultTreeCellEditor.DefaultTextField, javax.swing.tree.DefaultTreeCellEditor.EditorContainer`

Field Summary
`protected javax.swing.Icon` | `editingIcon`

Fields inherited from class javax.swing.tree.DefaultTreeCellEditor
`borderSelectionColor, canEdit, editingComponent, editingContainer, font, lastPath, lastRow, offset, realEditor, timer, tree`

Constructor Summary
`CategoryImmediateEditor(javax.swing.JTree tree, CategoryNodeRenderer renderer, CategoryNodeEditor editor)`

Method Summary
`protected boolean` | `canEditImmediately(java.util.EventObject e)`
`protected void` | `determineOffset(javax.swing.JTree tree, java.lang.Object value, boolean isSelected, boolean expanded, boolean leaf, int row)`
`boolean` | `inCheckBoxHitRegion(java.awt.event.MouseEvent e)`
`boolean` | `shouldSelectCell(java.util.EventObject e)`

Methods inherited from class javax.swing.tree.DefaultTreeCellEditor
`actionPerformed, addCellEditorListener, cancelCellEditing, createContainer, createTreeCellEditor, getBorderSelectionColor, getCellEditorListeners, getCellEditorValue, getFont, getTreeCellEditorComponent, inHitRegion, isCellEditable, prepareForEditing, removeCellEditorListener, setBorderSelectionColor, setFont, setTree, shouldStartEditingTimer, startEditingTimer, stopCellEditing, valueChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### editingIcon

    protected javax.swing.Icon editingIcon

Constructor Detail

### CategoryImmediateEditor

    public CategoryImmediateEditor(javax.swing.JTree tree,
                                   CategoryNodeRenderer renderer,
                                   CategoryNodeEditor editor)

Method Detail

### shouldSelectCell

    public boolean shouldSelectCell(java.util.EventObject e)

  Specified by:
    `shouldSelectCell` in interface `javax.swing.CellEditor`
  Overrides:
    `shouldSelectCell` in class `javax.swing.tree.DefaultTreeCellEditor`

### inCheckBoxHitRegion

    public boolean inCheckBoxHitRegion(java.awt.event.MouseEvent e)

### canEditImmediately

    protected boolean canEditImmediately(java.util.EventObject e)

  Overrides:
    `canEditImmediately` in class `javax.swing.tree.DefaultTreeCellEditor`

### determineOffset

    protected void determineOffset(javax.swing.JTree tree,
                                   java.lang.Object value,
                                   boolean isSelected,
                                   boolean expanded,
                                   boolean leaf,
                                   int row)

  Overrides:
    `determineOffset` in class `javax.swing.tree.DefaultTreeCellEditor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 Apache Software Foundation. All Rights Reserved.